<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h6 class="modal-title" id="myBookingSlotStandardLabel" jhiTranslate="mpmApp.bookingSlotStandard.home.createOrEditLabel">Create or edit a Booking Slot Standard</h6>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button>
    </div>
    <div class="modal-body">
        <div class="form-group">
            <label jhiTranslate="mpmApp.bookingSlotStandard.internal" for="field_internal">Internal</label>
            <select class="form-control" id="field_internal" name="internal" [(ngModel)]="bookingSlotStandard.internalId">
                <option [ngValue]="null"></option>
                <option [ngValue]="internalOption.idInternal" *ngFor="let internalOption of internals; trackBy: trackInternalById">{{internalOption.partyName}}</option>
            </select>
        </div>

        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.bookingSlotStandard.description" for="field_description">Description</label>
            <input type="text" class="form-control" name="description" id="field_description" [(ngModel)]="bookingSlotStandard.description"/>
        </div>

        <div class="row">
            <div class="col-sm-2">
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.bookingSlotStandard.capacity" for="field_capacity">Capacity</label>
                    <input currencyMask class="form-control" name="capacity" id="field_capacity" [(ngModel)]="bookingSlotStandard.capacity" [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                    />
                </div>
            </div>
            <div class="col-sm-2">
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.bookingSlotStandard.startHour" for="field_startHour">Start Hour</label>
                    <input currencyMask class="form-control" name="startHour" id="field_startHour" [(ngModel)]="bookingSlotStandard.startHour"
                        [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }" />
                </div>
            </div>
            <div class="col-sm-2">
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.bookingSlotStandard.startMinute" for="field_startMinute">Start Minute</label>
                    <input currencyMask class="form-control" name="startMinute" id="field_startMinute" [(ngModel)]="bookingSlotStandard.startMinute"
                        [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }" />
                </div>
            </div>
            <div class="col-sm-2">
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.bookingSlotStandard.endHour" for="field_endHour">End Hour</label>
                    <input currencyMask class="form-control" name="endHour" id="field_endHour" [(ngModel)]="bookingSlotStandard.endHour" [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                    />
                </div>
            </div>
            <div class="col-sm-2">
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.bookingSlotStandard.endMinute" for="field_endMinute">End Minute</label>
                    <input currencyMask class="form-control" name="endMinute" id="field_endMinute" [(ngModel)]="bookingSlotStandard.endMinute"
                        [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }" />
                </div>

            </div>
        </div>
    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal" (click)="clear()">
            <span class="fa fa-ban"></span>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
        </button>
        <button type="submit" [disabled]="editForm.form.invalid || isSaving" class="btn btn-primary">
            <span class="fa fa-save"></span>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
        </button>
    </div>
</form>